/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "cytypes.h"
#include "cyfitter.h"

#if !defined(`$INSTANCE_NAME`_H)
#define `$INSTANCE_NAME`_H

#define `$INSTANCE_NAME`_BUS_WIDTH (`$BitWidth`u)
/* PSoC3 ES2 or early */
#define `$INSTANCE_NAME`_PSOC3_ES2   ((CYDEV_CHIP_MEMBER_USED == CYDEV_CHIP_MEMBER_3A) && \
                                      (CYDEV_CHIP_REVISION_USED <= CYDEV_CHIP_REVISION_3A_ES2))
                     
/* PSoC5 ES1 */
#define `$INSTANCE_NAME`_PSOC5_ES1   ((CYDEV_CHIP_MEMBER_USED == CYDEV_CHIP_MEMBER_5A) && \
                                      (CYDEV_CHIP_REVISION_USED <= CYDEV_CHIP_REVISION_5A_ES1)) 

/***************************************
*             Registers                 
***************************************/


#if (`$INSTANCE_NAME`_BUS_WIDTH == 8u)
	#define `$INSTANCE_NAME`_STEP_PTR	((reg8 *) `$INSTANCE_NAME`_sD8_DDSdp_u0__D0_REG)
	#define `$INSTANCE_NAME`_STEP_REG  	(*(reg8 *) `$INSTANCE_NAME`_sD8_DDSdp_u0__D0_REG)
	void `$INSTANCE_NAME`_WriteStep(uint8 val) `=ReentrantKeil($INSTANCE_NAME . "_WriteStep")`;
#endif
#if (`$INSTANCE_NAME`_BUS_WIDTH == 16u)
	#define `$INSTANCE_NAME`_STEP_PTR	((reg8 *) `$INSTANCE_NAME`_sD16_DDSdp_u0__D0_REG)
//	#define `$INSTANCE_NAME`_STEP_REG  	(*(reg8 *) `$INSTANCE_NAME`_sD16_DDSdp_u0__D0_REG)
	void `$INSTANCE_NAME`_WriteStep(uint16 val) `=ReentrantKeil($INSTANCE_NAME . "_WriteStep")`;
#endif
#if (`$INSTANCE_NAME`_BUS_WIDTH == 24u)
	#define `$INSTANCE_NAME`_STEP_PTR	((reg8 *) `$INSTANCE_NAME`_sD24_DDSdp_u0__D0_REG)
//	#define `$INSTANCE_NAME`_STEP_REG  	(*(reg8 *) `$INSTANCE_NAME`_sD24_DDSdp_u0__D0_REG)
	void `$INSTANCE_NAME`_WriteStep(uint32 val) `=ReentrantKeil($INSTANCE_NAME . "_WriteStep")`;
#endif
#if (`$INSTANCE_NAME`_BUS_WIDTH == 32u)
//	#define `$INSTANCE_NAME`_STEP_PTR	((reg8 *) `$INSTANCE_NAME`_sD32_DDSdp_u0__D0_REG)
	#define `$INSTANCE_NAME`_STEP_REG0  	(*(reg8 *) `$INSTANCE_NAME`_sD32_sDP0__D0_REG)
	#define `$INSTANCE_NAME`_STEP_REG1  	(*(reg8 *) `$INSTANCE_NAME`_sD32_sDP1__D0_REG)
	#define `$INSTANCE_NAME`_STEP_REG2  	(*(reg8 *) `$INSTANCE_NAME`_sD32_sDP2__D0_REG)
	#define `$INSTANCE_NAME`_STEP_REG3  	(*(reg8 *) `$INSTANCE_NAME`_sD32_sDP3__D0_REG)
	void `$INSTANCE_NAME`_WriteStep(uint32 val) `=ReentrantKeil($INSTANCE_NAME . "_WriteStep")`;
#endif
/***************************************
 *   Function Prototypes
 **************************************/

#endif
//[] END OF FILE
