/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "cytypes.h"
#include "DDS_1.h"

#if (DDS_1_BUS_WIDTH == 8u)
void DDS_1_WriteStep(uint8 val) 
{               
	DDS_1_STEP_REG = val;
}
#endif
#if (DDS_1_BUS_WIDTH == 16u)
void DDS_1_WriteStep(uint16 val) 
{               
	//DDS_1_STEP_REG = val;
	CY_SET_REG16(DDS_1_STEP_PTR , val) ;
}
#endif
#if (DDS_1_BUS_WIDTH == 24u)
void DDS_1_WriteStep(uint32 val) 
{               
	//DDS_1_STEP_REG = val;
	CY_SET_REG24(DDS_1_STEP_PTR , val) ;
}
#endif
#if (DDS_1_BUS_WIDTH == 32u)
void DDS_1_WriteStep(uint32 val) 
{               
	DDS_1_STEP_REG0 = val&0xff;
	DDS_1_STEP_REG1 = val&0xff00;
	DDS_1_STEP_REG2 = val&0xff0000;
	DDS_1_STEP_REG3 = val&0xff000000;
	//CY_SET_REG32(DDS_1_STEP_PTR , val) ;
}
#endif
/* [] END OF FILE */
